Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: Zend Optimizer  (Прочитано 4030 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Hauster

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Zend Optimizer
« : 03 Апрель 2011, 22:08:32 »
Столкнулся с проблемой установить Zend Optimizer 3,3,3.
P.S.: Пробывал установить 3,3,9, но он не встал почему то... и наотрез отказался работать(беленькая страничка)...
Обычным стартом не запускается(в терминале тоже) по этому запускаю через sudo.

Вот что в терминале от начала и до конца:

root@ubuntu:/home/hauster# cd /home/hauster/ZendOptimizer-3.3.3-linux-glibc23-i386
root@ubuntu:/home/hauster/ZendOptimizer-3.3.3-linux-glibc23-i386# sudo ./install.sh
Please, wait ...

Zend Optimizer installation was NOT completed successfully.

Error while executing the dialog utility.
Probable reason - wrong terminal settings.
Please use install-tty instead.

For further assistance, please contact Zend Support at
https://www.zend.com/support/
[To continue, press Enter]

root@ubuntu:/home/hauster/ZendOptimizer-3.3.3-linux-glibc23-i386#

Может кто то что то знает?
Заранее спасибо.

Ubuntu 11.01 (замаскированная 10.10)

Только что попробывал установить версии 3.0.2, 3.3.3, 3.3.4...
« Последнее редактирование: 03 Апрель 2011, 22:25:58 от Hauster »

Оффлайн terrible_user

  • Активист
  • *
  • Сообщений: 438
    • Просмотр профиля
Re: Zend Optimizer
« Ответ #1 : 03 Апрель 2011, 22:27:42 »
php 5.3 ?
Бери больше, кидай дальше

Оффлайн Hauster

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Re: Zend Optimizer
« Ответ #2 : 03 Апрель 2011, 22:53:04 »
PHP Version 5.3.3-1ubuntu9.3

Оффлайн terrible_user

  • Активист
  • *
  • Сообщений: 438
    • Просмотр профиля
Re: Zend Optimizer
« Ответ #3 : 03 Апрель 2011, 23:32:55 »
Тогда поставь  5.2 для начала
Бери больше, кидай дальше

Оффлайн Hauster

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Re: Zend Optimizer
« Ответ #4 : 04 Апрель 2011, 03:54:22 »
а для конца что?

Версия именно 5.2? или можно 5.2.1, 5.2.2 и т.д.?

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 26258
    • Просмотр профиля
Re: Zend Optimizer
« Ответ #5 : 04 Апрель 2011, 04:06:38 »
5.2.17 ОЧЕНЬ желательно. Но пойдёт и другая.
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

Оффлайн Hauster

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Re: Zend Optimizer
« Ответ #6 : 04 Апрель 2011, 04:19:51 »
Вот отсюда качаю 5.2.17 http://www.php.net/downloads.php пойдёт? =)

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 26258
    • Просмотр профиля
Re: Zend Optimizer
« Ответ #7 : 04 Апрель 2011, 04:37:37 »
Нет.
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

Оффлайн terrible_user

  • Активист
  • *
  • Сообщений: 438
    • Просмотр профиля
Re: Zend Optimizer
« Ответ #8 : 04 Апрель 2011, 10:49:10 »
а для конца что?

Версия именно 5.2? или можно 5.2.1, 5.2.2 и т.д.?

5.2.х

В поиске есть как откатить на убунте версию пэхэпэ
 
халявного  ZO для 5.3 нету


(Нажмите, чтобы показать/скрыть)

Бери больше, кидай дальше

Оффлайн Hauster

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Re: Zend Optimizer
« Ответ #9 : 04 Апрель 2011, 13:05:25 »
Чтобы apt-get upgrade снова не обновил версию до 5.3.x нужно отправился в Синаптик, выделить все зависымые от php5 пакеты и нажать “Пакеты”>”Заблокировать версию”.

Где найти такой синаптик?


Кстати, бекапнулся на PHP Version 5.2.10-2ubuntu6.7

Всё! Сделал зенд оптимизер! Осталось узнать про запрет update на php =)
« Последнее редактирование: 04 Апрель 2011, 13:49:32 от Hauster »

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 26258
    • Просмотр профиля
Re: Zend Optimizer
« Ответ #10 : 04 Апрель 2011, 15:44:21 »
Зачем "все зависимые"? Просто libapache2-mod-php5 заблокировать.
aptitude, находишь пакет, = ...

Или ещё проще,
aptitude hold libapache2-mod-php5
« Последнее редактирование: 04 Апрель 2011, 15:46:00 от AnrDaemon »
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

Оффлайн Hauster

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Re: Zend Optimizer
« Ответ #11 : 04 Апрель 2011, 20:34:46 »
root@ubuntu:/home/hauster# aptitude hold libapache2-mod-php5
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 13 пакетов не обновлено.
Необходимо получить 0Б архивов. После распаковки 0Б будет занято.


Так же?

После этого обновил систему, в итоге: PHP Version 5.3.3-1ubuntu9.3...


Опять же откатил и появились те же 14 обновлений на защиту сервера..
Что я не так сделал?
« Последнее редактирование: 04 Апрель 2011, 20:41:28 от Hauster »

Оффлайн ..Gluk..

  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Re: Zend Optimizer
« Ответ #12 : 04 Апрель 2011, 21:02:02 »
установка ZendOptimizer на php5.3 ( Debian )

1. Качаем для своей архитектуры необходимый зенд :

64 бита :
wget http://downloads.zend.com/zendserver/5.0.3/ZendServer-CE-php-5.3.3-5.0.3-linux-glibc23-x86_64.tar.gz

32 бита :
wget http://downloads.zend.com/zendserver/5.0.3/ZendServer-CE-php-5.3.3-5.0.3-linux-glibc23-i386.tar.gz

2. распаковываем :

tar zxvf ZendServer*

3. ставим 7z архиватор :

apt-get install p7zip

4. идем в папку с зендом и разархивируем :

cd ZendServer*
p7zip -d zend.7z

5. копируем либу с зендом в нужное место :

mkdir /opt/zend53
cp zend/lib/optimizerplus/php-5.3.x/ZendOptimizerPlus.so /opt/zend5.3

6. пишем в /etc/php5/conf.d/zend53.ini :

echo «zend_extension=/opt/zend5.3/ZendOptimizerPlus.so» > /etc/php5/conf.d/zend53.ini

7. наслаждаемся результатом :

sec-dns:/etc/php5/conf.d# php -v
PHP 5.3.2-2 with Suhosin-Patch (cli) (built: Jul 19 2010 01:22:58)
Copyright (c) 1997-2009 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
with Zend Optimizer+ v4.1, Copyright (c) 1999-2010, by Zend Technologies
with Suhosin v0.9.32.1, Copyright (c) 2007-2010, by SektionEins GmbH

UPD :

32 бита – http://tresnet.ru/sw/32/ZendOptimizerPlus.so
64 бита – http://tresnet.ru/sw/64/ZendOptimizerPlus.so


Удачи
« Последнее редактирование: 04 Апрель 2011, 21:14:09 от ..Gluk.. »

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 26258
    • Просмотр профиля
Re: Zend Optimizer
« Ответ #13 : 04 Апрель 2011, 22:01:37 »
root@ubuntu:/home/hauster# aptitude hold libapache2-mod-php5
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 13 пакетов не обновлено.
Необходимо получить 0Б архивов. После распаковки 0Б будет занято.


Так же?

После этого обновил систему, в итоге: PHP Version 5.3.3-1ubuntu9.3...


Опять же откатил и появились те же 14 обновлений на защиту сервера..
Что я не так сделал?
А ты какого php версию смотришь...
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

Оффлайн Hauster

  • Автор темы
  • Новичок
  • *
  • Сообщений: 47
    • Просмотр профиля
Re: Zend Optimizer
« Ответ #14 : 04 Апрель 2011, 22:39:34 »
Ага, спасибо, помогло!=)

Ещё вопрос, Ubuntu потребляет полностью почти все мои ресурсы (кроме процессора)

Tasks: 183 total,   3 running, 180 sleeping,   0 stopped,   0 zombie
Cpu(s): 24.1%us,  9.8%sy,  0.0%ni, 66.1%id,  0.0%wa,  0.0%hi,  0.0%si,  0.0%st
Mem:   2058840k total,  1863384k used,   195456k free,   247392k buffers
Swap:  2925564k total,      252k used,  2925312k free,   864808k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
  933 root      20   0  157m  84m  16m R   17  4.2  10:54.81 Xorg              
 2184 hauster   20   0  493m 133m  27m S   15  6.6  11:18.77 firefox-bin        
 7436 hauster   20   0 76640  49m  14m S    8  2.5   1:53.80 compiz            
 6376 hauster   20   0  364m  78m  32m R    6  3.9   5:28.18 rhythmbox          
 2595 hauster   20   0  172m  50m  17m S    6  2.5   6:14.60 plugin-containe    
 7866 hauster   20   0  164m  52m  21m S    4  2.6   0:11.67 cairo-dock        
 1379 hauster    9 -11  159m 5712 4380 S    3  0.3   3:59.22 pulseaudio        
 2067 hauster   20   0  192m  46m  19m S    1  2.3   1:23.81 skype              
 1207 hauster   20   0  145m  16m 9784 S    1  0.8   0:12.47 gnome-settings-    
 8197 hauster   20   0 96764  16m  10m S    1  0.8   0:04.39 gnome-terminal    
 1790 hauster   20   0 98208  17m  11m S    1  0.8   0:07.02 indicator-apple    
 1516 hauster   20   0 41336  12m 8932 S    0  0.6   0:10.40 gtk-window-deco    
 1528 hauster   20   0 30060 6784 4972 S    0  0.3   0:02.11 gnome-screensav    
 7961 root      18  -2  279m  43m  11m S    0  2.1   0:09.50 java              
 8290 root      20   0  2620 1224  904 R    0  0.1   0:01.31 top                
    1 root      20   0  2872 1632 1120 S    0  0.1   0:01.46 init              
    2 root      20   0     0    0    0 S    0  0.0   0:00.00 kthreadd        


Пытаюсь запустить сервер, который требует 512МБ виртуальной памяти(как видно сверху, свободно всего "195456k free") и он пишет, что недостаточно виртуальной памяти... Как быть?
« Последнее редактирование: 04 Апрель 2011, 22:42:52 от Hauster »

 

Страница сгенерирована за 0.075 секунд. Запросов: 24.